summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-05-02 06:34:07 +0200
committerHans de Graaff <graaff@gentoo.org>2018-05-02 06:53:54 +0200
commit8f2e1e39d4044c8a091d0f339855f8bf2a791b0f (patch)
tree9fa46227f0d13c00150febe91e584aa94a217642 /dev-ruby/simple-rss
parentdev-util/shadowman: arm stable, bug #646652 (diff)
downloadgentoo-8f2e1e39d4044c8a091d0f339855f8bf2a791b0f.tar.gz
gentoo-8f2e1e39d4044c8a091d0f339855f8bf2a791b0f.tar.bz2
gentoo-8f2e1e39d4044c8a091d0f339855f8bf2a791b0f.zip
dev-ruby/simple-rss: add 1.3.3
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'dev-ruby/simple-rss')
-rw-r--r--dev-ruby/simple-rss/Manifest1
-rw-r--r--dev-ruby/simple-rss/simple-rss-1.3.3.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-ruby/simple-rss/Manifest b/dev-ruby/simple-rss/Manifest
index ebe81b65124..61f21253a40 100644
--- a/dev-ruby/simple-rss/Manifest
+++ b/dev-ruby/simple-rss/Manifest
@@ -1 +1,2 @@
DIST simple-rss-1.3.1.gem 35840 BLAKE2B 0eeae28a610ccfc82ffe2cb7dc6e00a419fcb6db658e1d5a0d1e8769b04002c084f4606991d5d61eab314a198c98eca2354d2d89624f22695a51423db15c3210 SHA512 a24eca178f0777ba1747e420a883fae7650767cb212fd3dbb89ea35d81d1d0766ab6ac891d19abcc88ed7a2209890a4fbf3827eab6ffb0c11ffe69e4abaa6f4a
+DIST simple-rss-1.3.3.gem 33280 BLAKE2B 7de333c13cb928627ed9962ceb55cb23415218d3214591a3ac2dd29e3782cfcb07bb7e99efec067ed3042eed317f38f815dc43bb11ad5246cc9212e8b03f3664 SHA512 7ce7c121889ede58344cf686ac17ab97d75eea6ba5346aedf06294e969f239999a4e19ae416db93f3933f6dae24d7dce22c408d71efb3bbea91cc8091bf43920
diff --git a/dev-ruby/simple-rss/simple-rss-1.3.3.ebuild b/dev-ruby/simple-rss/simple-rss-1.3.3.ebuild
new file mode 100644
index 00000000000..21c6167f021
--- /dev/null
+++ b/dev-ruby/simple-rss/simple-rss-1.3.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_DOC="doc"
+RUBY_FAKEGEM_EXTRADOC="README.markdown"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A simple, flexible, extensible, and liberal RSS and Atom reader for Ruby"
+HOMEPAGE="http://simple-rss.rubyforge.org/"
+LICENSE="LGPL-2"
+
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/rspec )"
+
+all_ruby_prepare() {
+ # Avoid dependency on bundler
+ sed -i -e '/bundler/d' \
+ -e '/rubyforgepublisher/I s:^:#:' \
+ Rakefile || die
+
+ # Avoid tests that require unpackaged test data
+ sed -i -e '/@\(media_rss\|rss20_utf8\)/ s:^:#:' \
+ -e '/test_rss_utf8/aomit "missing data"' \
+ test/base/base_test.rb || die
+}